From 1ecbbbf96ec305aac79682f7790684fc4e31ca4a Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Tue, 3 Nov 2009 07:32:14 +0100
Subject: [PATCH] Change Requires on kernel to Conflicts

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 xorg-x11-drv-ati.spec |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/xorg-x11-drv-ati.spec b/xorg-x11-drv-ati.spec
index a90f19c..a02f828 100644
--- a/xorg-x11-drv-ati.spec
+++ b/xorg-x11-drv-ati.spec
@@ -7,7 +7,7 @@
 Summary:   Xorg X11 ati video driver
 Name:      xorg-x11-drv-ati
 Version:   6.13.0
-Release:   0.10.%{gitdate}git%{gitversion}%{?dist}
+Release:   0.10.%{gitdate}git%{gitversion}%{?dist}.fa1
 URL:       http://www.x.org
 License:   MIT
 Group:     User Interface/X Hardware Support
@@ -40,7 +40,12 @@ Requires:  hwdata
 Requires:  xorg-x11-server-Xorg >= 1.4.99.1
 Requires:  libdrm >= 2.4.0-0.21
 # new CS method needs newer kernel
+%ifnarch %{arm}
 Requires:  kernel >= 2.6.29.1-111.fc11
+%else
+Conflicts: kernel < 2.6.29.1-111.fc11
+%endif
+
 Obsoletes: xorg-x11-drv-avivo <= 0.0.2
 
 %description 
@@ -88,6 +93,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_mandir}/man4/radeon.4*
 
 %changelog
+* Tue Nov 03 2009 Jitesh Shah <jiteshs@marvell.com> 6.13.0-0.10.20091006git457646d73.fa1
+- Change Requires on kernel to Conflicts
+
 * Fri Oct 09 2009 Dave Airlie <airlied@redhat.com> 6.13.0-0.10.20091006git457646d73
 - Don't use scratch pixmaps for rotate
 
-- 
1.5.5.6

